FtpConstants (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net
Interface FtpConstants

All Known Implementing Classes:
  FtpConnection

    public interface FtpConstants

This class provides some constant used by FtpConnection.

Field Summary
`static java.lang.String` | `ABOR` Abort
`static java.lang.String` | `ACCT` Account
`static java.lang.String` | `ADAT` Authentication/Security Data
`static java.lang.String` | `ALLO` Allocate
`static java.lang.String` | `APPE` Append (with create)
`static java.lang.String` | `AUTH` Authentication/Security Mechanism
`static java.lang.String` | `CCC` Clear Command Channel
`static java.lang.String` | `CDUP` Change to Parent Directory
`static int` | `CHDIR_FAILED` Possible upload() / download() / exists() return code
`static java.lang.String` | `CONF` Confidentiality Protected Command
`static java.lang.String` | `CWD` Change Working Directory
`static int` | `DATACONNECTION_FAILED` Possible up/download() return code
`static java.lang.String` | `DELE` Delete
`static int` | `DENIED` Possible getPermissions() / exists() return code
`static java.lang.String` | `ENC` Privacy Protected Command
`static int` | `FILE_NOT_FOUND` Possible exists() return code
`static java.lang.String` | `FTP200_OK` Command okay
`static java.lang.String` | `FTP215_SYSTEM_TYPE` System type
`static java.lang.String` | `FTP220_SERVICE_READY` Service ready for new user
`static java.lang.String` | `FTP221_SERVICE_CLOSING` Service closing control connection
`static java.lang.String` | `FTP226_CLOSING_DATA_REQUEST_SUCCESSFUL` Closing data connection; requested file action successful
`static java.lang.String` | `FTP227_ENTERING_PASSIVE_MODE` Entering Passive Mode
`static java.lang.String` | `FTP230_LOGGED_IN` User logged in, proceed
`static java.lang.String` | `FTP250_COMPLETED` Requested file action okay, completed
`static java.lang.String` | `FTP257_PATH_CREATED` "PATHNAME" created
`static java.lang.String` | `FTP331_USER_OK_NEED_PASSWORD` User name okay, need password
`static int` | `GENERIC_FAILED` Possible login() / remove() return code
`static java.lang.String` | `HELP` Help
`static int` | `LOGIN_OK` Possible login() return code
`static java.lang.String` | `MIC` Integrity Protected Command
`static java.lang.String` | `MKD` Make Directory
`static int` | `MKDIR_FAILED` Possible upload() / download() / remove() return code
`static java.lang.String` | `MODE` Transfer Mode (Stream, Block, Compressed)
`static int` | `NEW_TRANSFER_SPAWNED` Possible upload() / download() return code
`static java.lang.String` | `NLST` Name List
`static java.lang.String` | `NOOP` NOOP
`static int` | `OFFLINE` Possible login() return code
`static java.lang.String` | `PASS` Password
`static java.lang.String` | `PASV` Passive
`static java.lang.String` | `PBSZ` Protection Buffer Size
`static int` | `PERMISSION_DENIED` Possible upload() / download() return code
`static java.lang.String` | `PORT` Data Port
`static java.lang.String` | `PROT` Data Channel Protection Level
`static java.lang.String` | `PWD` Print Working Directory
`static java.lang.String` | `QUIT` Logout
`static int` | `R` Possible getPermissions() / exists() return code
`static java.lang.String` | `RC110` Restart marker reply
`static java.lang.String` | `RC120` Service ready in nnn minutes
`static java.lang.String` | `RC125` Data connection already open
`static java.lang.String` | `RC150` File status okay; about to open data connection
`static java.lang.String` | `RC202` Command not implemented, superfluous at this site
`static java.lang.String` | `RC211` System status, or system help reply
`static java.lang.String` | `RC212` Directory status
`static java.lang.String` | `RC213` File status
`static java.lang.String` | `RC214` Help message
`static java.lang.String` | `RC225` Data connection open; no transfer in progress
`static java.lang.String` | `RC332` Need account for login
`static java.lang.String` | `RC350` Requested file action pending further information
`static java.lang.String` | `RC421` Service not available
`static java.lang.String` | `RC425` Can't open data connection
`static java.lang.String` | `RC426` Connection closed; transfer aborted
`static java.lang.String` | `RC450` Requested file action not taken, file unavailable (file busy)
`static java.lang.String` | `RC451` Requested action aborted: local error in processing
`static java.lang.String` | `RC452` Requested action not taken, insufficient storage space in system
`static java.lang.String` | `RC500` Syntax error, command unrecognized
`static java.lang.String` | `RC501` Syntax error in parameters or arguments
`static java.lang.String` | `RC502` Command not implemented
`static java.lang.String` | `RC503` Bad sequence of commands
`static java.lang.String` | `RC504` Command not implemented for that parameter
`static java.lang.String` | `RC530` Not logged in
`static java.lang.String` | `RC532` Need account for storing files
`static java.lang.String` | `RC550` Requested action not taken, file unavailable (file not found, no access)
`static java.lang.String` | `RC551` Requested action aborted: page type unknown
`static java.lang.String` | `RC552` Requested file action aborted, exceeded storage allocation
`static java.lang.String` | `RC553` Requested action not taken, file name not allowed
`static java.lang.String` | `REIN` Reinitialize
`static int` | `REMOVE_FAILED` Possible remove() return code
`static int` | `REMOVE_SUCCESSFUL` Possible remove() return code
`static int` | `RENAME_FAILED` Possible upload() return code
`static java.lang.String` | `REST` Restart
`static java.lang.String` | `RETR` Retrieve
`static java.lang.String` | `RMD` Remove Directory
`static java.lang.String` | `RNFR` Rename From
`static java.lang.String` | `RNTO` Rename To
`static java.lang.String` | `SITE` Site Parameters
`static java.lang.String` | `SMNT` Structure Mount
`static java.lang.String` | `STAT` Status
`static java.lang.String` | `STOR` Store
`static java.lang.String` | `STOU` Store Unique
`static java.lang.String` | `STRU` File Structure (File, Record Structure, Page Structure)
`static java.lang.String` | `SYST` System
`static int` | `TRANSFER_FAILED` Possible upload() / download() return code
`static int` | `TRANSFER_STOPPED` Possible upload() / download() return code
`static int` | `TRANSFER_SUCCESSFUL` Possible upload() / download() return code
`static java.lang.String` | `TYPE` Representation Type (ASCII, EBCDIC, Image, Non-print, Telnet format effectors, Carriage Control, Local byte Byte size)
`static java.lang.String` | `USER` User Name
`static int` | `W` Possible getPermissions() / exists() return code
`static int` | `WRONG_LOGIN_DATA` Possible login() return code

Field Detail

### TRANSFER_FAILED

    static final int TRANSFER_FAILED

  Possible upload() / download() return code

  See Also:
    Constant Field Values

### TRANSFER_STOPPED

    static final int TRANSFER_STOPPED

  Possible upload() / download() return code

  See Also:
    Constant Field Values

### MKDIR_FAILED

    static final int MKDIR_FAILED

  Possible upload() / download() / remove() return code

  See Also:
    Constant Field Values

### PERMISSION_DENIED

    static final int PERMISSION_DENIED

  Possible upload() / download() return code

  See Also:
    Constant Field Values

### CHDIR_FAILED

    static final int CHDIR_FAILED

  Possible upload() / download() / exists() return code

  See Also:
    Constant Field Values

### WRONG_LOGIN_DATA

    static final int WRONG_LOGIN_DATA

  Possible login() return code

  See Also:
    Constant Field Values

### OFFLINE

    static final int OFFLINE

  Possible login() return code

  See Also:
    Constant Field Values

### GENERIC_FAILED

    static final int GENERIC_FAILED

  Possible login() / remove() return code

  See Also:
    Constant Field Values

### REMOVE_FAILED

    static final int REMOVE_FAILED

  Possible remove() return code

  See Also:
    Constant Field Values

### RENAME_FAILED

    static final int RENAME_FAILED

  Possible upload() return code

  See Also:
    Constant Field Values

### FILE_NOT_FOUND

    static final int FILE_NOT_FOUND

  Possible exists() return code

  See Also:
    Constant Field Values

### DATACONNECTION_FAILED

    static final int DATACONNECTION_FAILED

  Possible up/download() return code

  See Also:
    Constant Field Values

### NEW_TRANSFER_SPAWNED

    static final int NEW_TRANSFER_SPAWNED

  Possible upload() / download() return code

  See Also:
    Constant Field Values

### TRANSFER_SUCCESSFUL

    static final int TRANSFER_SUCCESSFUL

  Possible upload() / download() return code

  See Also:
    Constant Field Values

### LOGIN_OK

    static final int LOGIN_OK

  Possible login() return code

  See Also:
    Constant Field Values

### REMOVE_SUCCESSFUL

    static final int REMOVE_SUCCESSFUL

  Possible remove() return code

  See Also:
    Constant Field Values

### R

    static final int R

  Possible getPermissions() / exists() return code

  See Also:
    Constant Field Values

### W

    static final int W

  Possible getPermissions() / exists() return code

  See Also:
    Constant Field Values

### DENIED

    static final int DENIED

  Possible getPermissions() / exists() return code

  See Also:
    Constant Field Values

### USER

    static final java.lang.String USER

  User Name

  See Also:
    Constant Field Values

### PASS

    static final java.lang.String PASS

  Password

  See Also:
    Constant Field Values

### ACCT

    static final java.lang.String ACCT

  Account

  See Also:
    Constant Field Values

### CWD

    static final java.lang.String CWD

  Change Working Directory

  See Also:
    Constant Field Values

### CDUP

    static final java.lang.String CDUP

  Change to Parent Directory

  See Also:
    Constant Field Values

### SMNT

    static final java.lang.String SMNT

  Structure Mount

  See Also:
    Constant Field Values

### REIN

    static final java.lang.String REIN

  Reinitialize

  See Also:
    Constant Field Values

### QUIT

    static final java.lang.String QUIT

  Logout

  See Also:
    Constant Field Values

### PORT

    static final java.lang.String PORT

  Data Port

  See Also:
    Constant Field Values

### PASV

    static final java.lang.String PASV

  Passive

  See Also:
    Constant Field Values

### TYPE

    static final java.lang.String TYPE

  Representation Type (ASCII, EBCDIC, Image, Non-print, Telnet format effectors, Carriage Control, Local byte Byte size)

  See Also:
    Constant Field Values

### STRU

    static final java.lang.String STRU

  File Structure (File, Record Structure, Page Structure)

  See Also:
    Constant Field Values

### MODE

    static final java.lang.String MODE

  Transfer Mode (Stream, Block, Compressed)

  See Also:
    Constant Field Values

### RETR

    static final java.lang.String RETR

  Retrieve

  See Also:
    Constant Field Values

### STOR

    static final java.lang.String STOR

  Store

  See Also:
    Constant Field Values

### STOU

    static final java.lang.String STOU

  Store Unique

  See Also:
    Constant Field Values

### APPE

    static final java.lang.String APPE

  Append (with create)

  See Also:
    Constant Field Values

### ALLO

    static final java.lang.String ALLO

  Allocate

  See Also:
    Constant Field Values

### REST

    static final java.lang.String REST

  Restart

  See Also:
    Constant Field Values

### RNFR

    static final java.lang.String RNFR

  Rename From

  See Also:
    Constant Field Values

### RNTO

    static final java.lang.String RNTO

  Rename To

  See Also:
    Constant Field Values

### ABOR

    static final java.lang.String ABOR

  Abort

  See Also:
    Constant Field Values

### DELE

    static final java.lang.String DELE

  Delete

  See Also:
    Constant Field Values

### RMD

    static final java.lang.String RMD

  Remove Directory

  See Also:
    Constant Field Values

### MKD

    static final java.lang.String MKD

  Make Directory

  See Also:
    Constant Field Values

### PWD

    static final java.lang.String PWD

  Print Working Directory

  See Also:
    Constant Field Values

### NLST

    static final java.lang.String NLST

  Name List

  See Also:
    Constant Field Values

### SITE

    static final java.lang.String SITE

  Site Parameters

  See Also:
    Constant Field Values

### SYST

    static final java.lang.String SYST

  System

  See Also:
    Constant Field Values

### STAT

    static final java.lang.String STAT

  Status

  See Also:
    Constant Field Values

### HELP

    static final java.lang.String HELP

  Help

  See Also:
    Constant Field Values

### NOOP

    static final java.lang.String NOOP

  NOOP

  See Also:
    Constant Field Values

### AUTH

    static final java.lang.String AUTH

  Authentication/Security Mechanism

  See Also:
    Constant Field Values

### ADAT

    static final java.lang.String ADAT

  Authentication/Security Data

  See Also:
    Constant Field Values

### PROT

    static final java.lang.String PROT

  Data Channel Protection Level

  See Also:
    Constant Field Values

### PBSZ

    static final java.lang.String PBSZ

  Protection Buffer Size

  See Also:
    Constant Field Values

### CCC

    static final java.lang.String CCC

  Clear Command Channel

  See Also:
    Constant Field Values

### MIC

    static final java.lang.String MIC

  Integrity Protected Command

  See Also:
    Constant Field Values

### CONF

    static final java.lang.String CONF

  Confidentiality Protected Command

  See Also:
    Constant Field Values

### ENC

    static final java.lang.String ENC

  Privacy Protected Command

  See Also:
    Constant Field Values

### RC110

    static final java.lang.String RC110

  Restart marker reply

  See Also:
    Constant Field Values

### RC120

    static final java.lang.String RC120

  Service ready in nnn minutes

  See Also:
    Constant Field Values

### RC125

    static final java.lang.String RC125

  Data connection already open

  See Also:
    Constant Field Values

### RC150

    static final java.lang.String RC150

  File status okay; about to open data connection

  See Also:
    Constant Field Values

### FTP200_OK

    static final java.lang.String FTP200_OK

  Command okay

  See Also:
    Constant Field Values

### RC202

    static final java.lang.String RC202

  Command not implemented, superfluous at this site

  See Also:
    Constant Field Values

### RC211

    static final java.lang.String RC211

  System status, or system help reply

  See Also:
    Constant Field Values

### RC212

    static final java.lang.String RC212

  Directory status

  See Also:
    Constant Field Values

### RC213

    static final java.lang.String RC213

  File status

  See Also:
    Constant Field Values

### RC214

    static final java.lang.String RC214

  Help message

  See Also:
    Constant Field Values

### FTP215_SYSTEM_TYPE

    static final java.lang.String FTP215_SYSTEM_TYPE

  System type

  See Also:
    Constant Field Values

### FTP220_SERVICE_READY

    static final java.lang.String FTP220_SERVICE_READY

  Service ready for new user

  See Also:
    Constant Field Values

### FTP221_SERVICE_CLOSING

    static final java.lang.String FTP221_SERVICE_CLOSING

  Service closing control connection

  See Also:
    Constant Field Values

### RC225

    static final java.lang.String RC225

  Data connection open; no transfer in progress

  See Also:
    Constant Field Values

### FTP226_CLOSING_DATA_REQUEST_SUCCESSFUL

    static final java.lang.String FTP226_CLOSING_DATA_REQUEST_SUCCESSFUL

  Closing data connection; requested file action successful

  See Also:
    Constant Field Values

### FTP227_ENTERING_PASSIVE_MODE

    static final java.lang.String FTP227_ENTERING_PASSIVE_MODE

  Entering Passive Mode

  See Also:
    Constant Field Values

### FTP230_LOGGED_IN

    static final java.lang.String FTP230_LOGGED_IN

  User logged in, proceed

  See Also:
    Constant Field Values

### FTP250_COMPLETED

    static final java.lang.String FTP250_COMPLETED

  Requested file action okay, completed

  See Also:
    Constant Field Values

### FTP257_PATH_CREATED

    static final java.lang.String FTP257_PATH_CREATED

  "PATHNAME" created

  See Also:
    Constant Field Values

### FTP331_USER_OK_NEED_PASSWORD

    static final java.lang.String FTP331_USER_OK_NEED_PASSWORD

  User name okay, need password

  See Also:
    Constant Field Values

### RC332

    static final java.lang.String RC332

  Need account for login

  See Also:
    Constant Field Values

### RC350

    static final java.lang.String RC350

  Requested file action pending further information

  See Also:
    Constant Field Values

### RC421

    static final java.lang.String RC421

  Service not available

  See Also:
    Constant Field Values

### RC425

    static final java.lang.String RC425

  Can't open data connection

  See Also:
    Constant Field Values

### RC426

    static final java.lang.String RC426

  Connection closed; transfer aborted

  See Also:
    Constant Field Values

### RC450

    static final java.lang.String RC450

  Requested file action not taken, file unavailable (file busy)

  See Also:
    Constant Field Values

### RC451

    static final java.lang.String RC451

  Requested action aborted: local error in processing

  See Also:
    Constant Field Values

### RC452

    static final java.lang.String RC452

  Requested action not taken, insufficient storage space in system

  See Also:
    Constant Field Values

### RC500

    static final java.lang.String RC500

  Syntax error, command unrecognized

  See Also:
    Constant Field Values

### RC501

    static final java.lang.String RC501

  Syntax error in parameters or arguments

  See Also:
    Constant Field Values

### RC502

    static final java.lang.String RC502

  Command not implemented

  See Also:
    Constant Field Values

### RC503

    static final java.lang.String RC503

  Bad sequence of commands

  See Also:
    Constant Field Values

### RC504

    static final java.lang.String RC504

  Command not implemented for that parameter

  See Also:
    Constant Field Values

### RC530

    static final java.lang.String RC530

  Not logged in

  See Also:
    Constant Field Values

### RC532

    static final java.lang.String RC532

  Need account for storing files

  See Also:
    Constant Field Values

### RC550

    static final java.lang.String RC550

  Requested action not taken, file unavailable (file not found, no access)

  See Also:
    Constant Field Values

### RC551

    static final java.lang.String RC551

  Requested action aborted: page type unknown

  See Also:
    Constant Field Values

### RC552

    static final java.lang.String RC552

  Requested file action aborted, exceeded storage allocation

  See Also:
    Constant Field Values

### RC553

    static final java.lang.String RC553

  Requested action not taken, file name not allowed

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD